# Sentimentanalyse

Sentimentanalyse ist eine Technik des maschinellen Lernens und der künstlichen Intelligenz, die verwendet wird, um das Stimmungs- oder Emotionsniveau in Texten oder anderen Inhalten zu identifizieren. Die Sentimentanalyse basiert auf der Verarbeitung natürlicher Sprache (Natural Language Processing, NLP) und nutzt Algorithmen, um das Vorkommen von positiven, negativen oder neutralen Ausdrücken in einem Text zu erkennen.


## Techniken der Sentimentanalyse:

1. Regelbasiert: Nutzt eine Sammlung von Regeln und lexikalischen Ressourcen, um das Sentiment zu erkennen. Beispiel: Das SentiWordNet-Lexikon ordnet jedem Wort in einem Text eine positive, negative oder neutrale Bewertung zu
2. Machine-Learning-basiert: Nutzt Algorithmen des maschinellen Lernens, beispielsweise Naive Bayes, Entscheidungsbäume und Support-Vector-Machines (SVM).
3. Deep-Learning-basiert: Nutzt neuronale Netze, beispielsweise Convolutional Neural Networks (CNN) und Recurrent Neural Networks (RNN).

[Deep Data Analytics](https://deep-data-analytics.com/faq/sentiment-analyse/)


## Python Bibliotheken:
Pattern, VADER, BERT, TextBlob, spacy, CoreNLP, scikit-learn, Polyglot, PyTorch, Flair

[Top 10 Libraries](https://www.unite.ai/10-best-python-libraries-for-sentiment-analysis/)

### FinBERT
Financial Sentiment Analysis with BERT

[Paper](https://arxiv.org/pdf/1908.10063.pdf)

[Medium Blog](https://medium.com/prosus-ai-tech-blog/finbert-financial-sentiment-analysis-with-bert-b277a3607101)

[Minimal Example](https://huggingface.co/yiyanghkust/finbert-tone)


# Topic Modeling

- Text-Mining-Methode, um Themen in Textsammlungen zu finden
- Suche nach Trends und Mustern in unstrukturierten Daten
- Verfahren: Latent Dirichlet Allokation (LDA), Probabilistic Latent Semantic Analysis (PLSA), Non-Negative Matrix Factorization (NMF)
- Document Clustering

[Beispiel Blog-Analyse](https://blog.codecentric.de/topic-modeling-codecentric-blog-articles)

## Python Bibliotheken:
Gensim (ggf. Erweiterung gensim-finance), spacy, NLTK, scikit-learn, PyCaret



